Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"af025adb-ed5c-4fac-82cd-46491b23f391","userId":"0c9d1478-7292-4fc3-b9eb-279a0c52520d","departmentId":"1ea53d91-d8d9-4afc-975f-f5a6617a30ff","areaDepartmentId":"9b11e9fb-a4e6-467f-bf74-e37e7546cea9","creationDateTime":"2026-08-21T23:33:26.3045132+00:00"},{"id":"9fc71ee4-3838-49c5-afda-bd012b8a196a","userId":"7cc840ed-c0c4-4440-969b-66b6810c047f","departmentId":"c7cefe75-01a4-4eee-a102-3f89a16b5d97","areaDepartmentId":null,"creationDateTime":"2026-08-20T23:33:26.3045132+00:00"}]}
object
  count integer      
  data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string